Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.security
Class ReportJobAclDao

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.security.ReportJobAclDao

All Implemented Interfaces:
  org.acegisecurity.acl.basic.BasicAclDao

    public class ReportJobAclDao

extends java.lang.Object
implements org.acegisecurity.acl.basic.BasicAclDao

Version:
  $Id: ReportJobAclDao.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ReportJobAclDao()`

Method Summary
`org.acegisecurity.acl.basic.BasicAclEntry[]` | `getAcls(org.acegisecurity.acl.basic.AclObjectIdentity objectIdentity)`
`java.lang.String` | `getAdministratorRole()`
`ReportJobsInternalService` | `getReportJobsInternalService()`
`void` | `setAdministratorRole(java.lang.String administratorRole)`
`void` | `setReportJobsInternalService(ReportJobsInternalService reportJobsInternalService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobAclDao

    public ReportJobAclDao()

Method Detail

### getAcls

    public org.acegisecurity.acl.basic.BasicAclEntry[] getAcls(org.acegisecurity.acl.basic.AclObjectIdentity objectIdentity)

  Specified by:
    `getAcls` in interface `org.acegisecurity.acl.basic.BasicAclDao`

### getAdministratorRole

    public java.lang.String getAdministratorRole()

### setAdministratorRole

    public void setAdministratorRole(java.lang.String administratorRole)

### getReportJobsInternalService

    public ReportJobsInternalService getReportJobsInternalService()

### setReportJobsInternalService

    public void setReportJobsInternalService(ReportJobsInternalService reportJobsInternalService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.